Subject: Re: Setup hangs in postinstall
From: Antoine Labour <[email-masked]>
To: Brian Ford <[email-masked]>
Cc: Antoine Labour <[email-masked]>, [email-masked]
Date: Wed, 10 Dec 2003 16:56:35 -0800

Brian Ford wrote:
> Antonine, you might try the same.  It might be more informative to see
> how we got there than to see just a static stack dump.
> 
> strace -o /tmp/tracelog.txt /bin/bash.exe -c yourtestcase.sh.
> 
> Then send the tail of that log when you get it to happen.

Unfortunately, it doesn't seem to want to crash when run under strace. 
I'll let it go overnight and give you an update if I get something.

>>http://cygwin.com/ml/cygwin/2003-11/msg00796.html
> 
> Yes, sorry again.  My memory is failing me.  I still have that message in
> my inbox.

No problem.

>>I'm sorry I can't do much more since this problem occurs only randomly
>>on my machine(s).
> 
> Could you try current cvs and post the stack trace again?  Thanks.

I attached it. Unfortunately this is a stripped version of bash so it 
might not be enough. I'll try to compile a version with debug symbols, 
or maybe you know where I can find one ?

> I am trying to take a look as time permits.

Thanks a lot.

Antoine
Parent process

(gdb) info threads
* 5 thread 3816.0xa88  0x77f75a59 in ntdll!DbgUiConnectToDbg ()
   from /cygdrive/c/WINDOWS/System32/ntdll.dll
  4 thread 3816.0x45c  0x7ffe0304 in ?? ()
  3 thread 3816.0x95c  0x7ffe0304 in ?? ()
  2 thread 3816.0xb70  0x7ffe0304 in ?? ()
  1 thread 3816.0x92c  0x7ffe0304 in ?? ()
(gdb) thread 1
[Switching to thread 1 (thread 3816.0x92c)]#0  0x7ffe0304 in ?? ()
(gdb) bt
#0  0x7ffe0304 in ?? ()
#1  0x77f5c524 in ntdll!ZwWaitForMultipleObjects ()
   from /cygdrive/c/WINDOWS/System32/ntdll.dll
#2  0x77e75ee0 in WaitForMultipleObjectsEx ()
   from /cygdrive/c/WINDOWS/system32/KERNEL32.DLL
#3  0x00000002 in ?? ()
#4  0x0022f59c in ?? ()
#5  0x00000001 in ?? ()
(gdb) thread 2 
[Switching to thread 2 (thread 3816.0xb70)]#0  0x7ffe0304 in ?? ()
(gdb) bt
#0  0x7ffe0304 in ?? ()
#1  0x77f5bfb4 in ntdll!ZwReadFile ()
   from /cygdrive/c/WINDOWS/System32/ntdll.dll
#2  0x77e7abbd in ReadFile () from /cygdrive/c/WINDOWS/system32/KERNEL32.DLL
#3  0x00000768 in ?? ()
(gdb) thread 3
[Switching to thread 3 (thread 3816.0x95c)]#0  0x7ffe0304 in ?? ()
(gdb) bt
#0  0x7ffe0304 in ?? ()
#1  0x77f5c524 in ntdll!ZwWaitForMultipleObjects ()
   from /cygdrive/c/WINDOWS/System32/ntdll.dll
#2  0x77e75ee0 in WaitForMultipleObjectsEx ()
   from /cygdrive/c/WINDOWS/system32/KERNEL32.DLL
#3  0x00000002 in ?? ()
#4  0x00e8fbd8 in ?? ()
#5  0x00000001 in ?? ()
(gdb) thread 4
[Switching to thread 4 (thread 3816.0x45c)]#0  0x7ffe0304 in ?? ()
(gdb) bt
#0  0x7ffe0304 in ?? ()
#1  0x77f5bfb4 in ntdll!ZwReadFile ()
   from /cygdrive/c/WINDOWS/System32/ntdll.dll
#2  0x77e7abbd in ReadFile () from /cygdrive/c/WINDOWS/system32/KERNEL32.DLL
#3  0x000006ac in ?? ()
(gdb) thread 5
[Switching to thread 5 (thread 3816.0xa88)]#0  0x77f75a59 in ntdll!DbgUiConnectToDbg () from /cygdrive/c/WINDOWS/System32/ntdll.dll
(gdb) bt
#0  0x77f75a59 in ntdll!DbgUiConnectToDbg ()
   from /cygdrive/c/WINDOWS/System32/ntdll.dll
#1  0x77f5f31f in ntdll!KiUserCallbackDispatcher ()
   from /cygdrive/c/WINDOWS/System32/ntdll.dll
#2  0x00000005 in ?? ()
#3  0x00000004 in ?? ()
#4  0x00000001 in ?? ()
#5  0x010affd0 in ?? ()
#6  0x85aca020 in ?? ()
#7  0xffffffff in ?? ()
#8  0x77fa88f0 in wcstombs () from /cygdrive/c/WINDOWS/System32/ntdll.dll

Child process

(gdb) info threads
* 3 thread 1768.0x88c  0x77f75a59 in ntdll!DbgUiConnectToDbg ()
   from /cygdrive/c/WINDOWS/System32/ntdll.dll
  2 thread 1768.0xd70  0x7ffe0304 in ?? ()
  1 thread 1768.0x900  0x7ffe0304 in ?? ()
(gdb) thread 1
[Switching to thread 1 (thread 1768.0x900)]#0  0x7ffe0304 in ?? ()
(gdb) bt
#0  0x7ffe0304 in ?? ()
#1  0x77f5b5d4 in ntdll!ZwClose () from /cygdrive/c/WINDOWS/System32/ntdll.dll
#2  0x77e7a730 in KERNEL32!CloseHandle () from /cygdrive/c/WINDOWS/system32/KERNEL32.DLL
#3  0x000006ac in ?? ()
#4  0x6106b78a in fhandler_pipe::close() (this=0x61671b28)
    at /home/piman/cygwin/src/winsup/cygwin/pipe.cc:96
#5  0x610917bf in close (fd=3) at /home/piman/cygwin/src/winsup/cygwin/cygheap.h:292
#6  0x6108596e in _sigfe () at /home/piman/cygwin/src/winsup/cygwin/cygserver.h:82
#7  0x00000001 in ?? ()
#8  0x0022f72c in ?? ()
#9  0x0a0455c8 in ?? ()
#10 0x0a045261 in ?? ()
#11 0x00000012 in ?? ()
#12 0x0022f738 in ?? ()
(gdb) thread 2
[Switching to thread 2 (thread 1768.0xd70)]#0  0x7ffe0304 in ?? ()
(gdb) bt
#0  0x7ffe0304 in ?? ()
#1  0x77f5bfb4 in ntdll!ZwReadFile () from /cygdrive/c/WINDOWS/System32/ntdll.dll
#2  0x77e7abbd in ReadFile () from /cygdrive/c/WINDOWS/system32/KERNEL32.DLL
#3  0x00000740 in ?? ()
(gdb) thread 3
[Switching to thread 3 (thread 1768.0x88c)]#0  0x77f75a59 in ntdll!DbgUiConnectToDbg ()
   from /cygdrive/c/WINDOWS/System32/ntdll.dll
(gdb) bt
#0  0x77f75a59 in ntdll!DbgUiConnectToDbg () from /cygdrive/c/WINDOWS/System32/ntdll.dll
#1  0x77f5f31f in ntdll!KiUserCallbackDispatcher () from /cygdrive/c/WINDOWS/System32/ntdll.dll
#2  0x00000005 in ?? ()
#3  0x00000004 in ?? ()
#4  0x00000001 in ?? ()
#5  0x003fffd0 in ?? ()
#6  0x85e29020 in ?? ()
#7  0xffffffff in ?? ()
#8  0x77fa88f0 in wcstombs () from /cygdrive/c/WINDOWS/System32/ntdll.dll
(gdb)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/